Bug 1806571 - [4.5] RHCOS Image needs a bump to Build 44.81.202002220830-0 or later for kubelet fix
Summary: [4.5] RHCOS Image needs a bump to Build 44.81.202002220830-0 or later for kub...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.5.0
Assignee: Ryan Phillips
QA Contact: Johnny Liu
URL:
Whiteboard:
Depends On:
Blocks: 1806576
TreeView+ depends on / blocked
 
Reported: 2020-02-24 14:44 UTC by Ryan Phillips
Modified: 2020-07-13 17:21 UTC (History)
0 users

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
: 1806576 (view as bug list)
Environment:
Last Closed: 2020-07-13 17:20:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 3173 0 None closed Bug 1806571: bump rhcos for kubelet fix 2020-07-22 21:57:59 UTC
Red Hat Product Errata RHBA-2020:2409 0 None None None 2020-07-13 17:21:02 UTC

Description Ryan Phillips 2020-02-24 14:44:41 UTC
Description of problem:

Kubelet's were setting the wrong cgroup memory limit on the kubepods.slice. We need to bump the rhcos version to this version or later to pickup the fix (in 4.5 and 4.4)

ref: https://bugzilla.redhat.com/show_bug.cgi?id=1802687

Comment 3 Johnny Liu 2020-03-09 03:09:47 UTC
Per https://github.com/openshift/installer/blob/release-4.5/data/data/rhcos.json, rhcos image is bumped to rhcos-44.81.202002241126-0.

Trigger a ipi-on-aws install with 4.5.0-0.nightly-2020-03-06-190457, it is using "rhcos-44.81.202002241126-0" as boot image.

Comment 5 errata-xmlrpc 2020-07-13 17:20:43 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2409


Note You need to log in before you can comment on or make changes to this bug.